%global srcname prompt_toolkit
%global pkgname prompt-toolkit

Name:           python-%{pkgname}
Version:        3.0.20
Release:        1
Summary:        Library for building powerful interactive command lines in Python

License:        BSD
URL:            https://github.com/prompt-toolkit/python-prompt-toolkit
Source0:        https://github.com/%pkgname/%name/archive/refs/tags/%version.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Provides:       python-%srcname

%description
prompt_toolkit is a library for building powerful interactive command lines and
terminal applications in Python.


%prep
%setup -q

%build
%py3_build


%install
%py3_install


%files
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Oct 17 2021 Li Chao <clouds@isrc.iscas.ac.cn> - 3.0.20-1
- First packaging of version 3.0.20
